import pygame
from pygame.locals import *
from random import *
from math import *

class Bulle(object): 
    def __init__(self,x,y,expr,video):
        self.x = x
        self.y = y
        self.expr = expr #1=Détruit par monstre, 2=Détruit par earthquake
        self.time = 0
        self.video = video

    def timer(self):
        if(self.time==0): self.video.playEffect("dead"+str(randint(1,3)))
        self.time += 1

    def expired(self):
        return self.time > 30
